Como consertar o suporte ao skype e afins no (k)ubuntu 8.10 Intrepid Ibex

O Intrepid é uma das melhores versões que já sairam do (k)ubuntu, infelizmente ou felizmente, o novo kernel 2.6.28 aposentou a velha driver v4l e passou a usar somente a v4l2 com uma lib que “emula” a velha v4l para equipamentos legados.

Pois bem, essa lib não saiu como o esperado, ou seja, em algumas webcams, a imagem sai zoada ou não sai, embora funcione normalmente no cheese ou ekiga, mas tipicamente não funciona no skype por ex.

Qual é a cura? Adicionar uma atualização da malandra, o que resolve 99% dos casos.

Basta abrir seu sources.list em /etc/apt e adicionar:

deb http://ppa.launchpad.net/lool/ubuntu intrepid main

Agora atualize o seu sistema e seja feliz com o seu skype funcional 🙂

Enjoy!

12 thoughts on “Como consertar o suporte ao skype e afins no (k)ubuntu 8.10 Intrepid Ibex

  1. fiz mais não adiantou,,, ainda não achei solução;;;;;

    uso a 8.10

    no 8.04 funciona norma, qdo chamo o cheese aparece o nome da camera… no 8.10 aparece USB e numero dela…. como não tivesse lendo certo o drive dela….

    1. Pelo que entendi, nem no cheese funciona? Se é esse o caso, então é pq a driver da sua camera não deve estar ativa. Tente ver nos forums do ubuntu se alguém tem um problema parecido.

      Abraço

  2. Ola, fiz o teste agora com o LinuxMint e não funcionou… chamando o cheese pelo terminal ele da erros:
    libv4l2: error dequeuing buf: Erro de entrada/saída

    vou continuar procurando… posto se conseguir……..

  3. Funcionou mesmo!!!! Valeu….

    Só tinha conseguido habilitar a webcam com baixa resolução, agora tá o bicho.

  4. O libv4l-0 do deste repositório é versão 0.5.7-1~dooz1 e eu tenho instalado aqui a versão 0.5.8-1~intrepidppa1. A pergunta é: Faço downgrade? 🙂

    Na verdade, minha camera funciona no Cheese (piscando as cores rgb), não funciona no Ekiga nem no aMSN.

  5. Deixando meu comentário.
    Na versão 9.04 estava funcionando normalmente minha webcam.
    Porém de uma horá pra outra parou TUDO :-(… Ainda estou buscando uma solulção.

  6. Coloquei no repositorio, mas esta dando este erro:

    W: Erro GPG: http://ppa.launchpad.net intrepid Release: As assinaturas a seguir não puderam ser verificadas devido à chave pública não estar disponível: NO_PUBKEY CA5D96E9AB82B686

    tem ideia do que pode ser?

  7. A solução é mais simples que imaginam.
    Criem um script, exemplo:

    #vim skype-video.sh

    #!/bin/bash
    LD_PRELOAD=/usr/lib/libv4l/v4l2convert.so skype

    :wq

    Marque como executável:

    #chmod +x skype-video.sh

    Execute:

    $sh skype-video.sh

    Para funcionar ele precisa de converter para v4l2 usando a biblioteca acima citada, pois trabalha ainda com a v4l.

    Espero ter ajudado…

    Abraço!

Leave a Reply

This site uses Akismet to reduce spam. Learn how your comment data is processed.